<?php

namespace App\Helpers;

use Kreait\Firebase\Messaging\CloudMessage;
use Kreait\Firebase\Messaging\Notification;


class FirebaseClient
{
    public static function send($topic, $title, $body){
        $messaging = app('firebase.messaging');
        $notification = Notification::fromArray([
            'title' => $title,
            'body' => $body,
            'image' => Null,
        ]);
        $message = CloudMessage::withTarget('topic', $topic)
            ->withNotification($notification) // optional
            // ->withData($data) // optional
        ;
        try{
    
            $result = $messaging->send($message);
            return $result;
        }catch(Exception $e){
            return $e;
        }
    }
}