<?php

namespace App\Helpers;

use App\Models\Place;
use DateTime;
use DateTimeZone;
use Exception;

class TimeModification
{
    public static function setTimeZone($time, $tz){
        $datetime = (new DateTime($time))
                        ->setTimezone(new DateTimeZone($tz))
                        ->format('Y-m-d H:i:s');

        return new DateTime($datetime);
    }


    public static function userSetTimeZone($user, $time){
        try{
            if($user->defaultPlace){
                $tz = $user->defaultPlace->time_zone;

            }elseif($user->places->first()){
                $tz = $user->places->first()->time_zone;

            }else{
                $tz = "UTC";
            }

            return TimeModification::setTimeZone($time, $tz);

        }catch(Exception $e){
            return TimeModification::setTimeZone($time, 'UTC');
        }
    }

    public static function setNowTimeZone($tz){
        $datetime = (new DateTime('now'))
                        ->setTimezone(new DateTimeZone($tz))
                        ->format('Y-m-d H:i:s');

        return $datetime;
    }

}
