<?php

namespace App\Nova\Actions;

use App\Models\Promotion;
use App\Models\Ticket;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Support\Collection;
use Laravel\Nova\Actions\Action;
use Laravel\Nova\Fields\ActionFields;
use Laravel\Nova\Http\Requests\NovaRequest;
use Lednerb\ActionButtonSelector\ShowAsButton;
use Laravel\Nova\Fields\Text;
use Laravel\Nova\Fields\Number;
use Laravel\Nova\Fields\Boolean;
use Laravel\Nova\Fields\Date;
use Laravel\Nova\Fields\Select;

class Manytickets extends Action
{
    use InteractsWithQueue, Queueable;
    use ShowAsButton;
    public $name = "Ticket Range";
    /**
     * Perform the action on the given models.
     *
     * @param  \Laravel\Nova\Fields\ActionFields  $fields
     * @param  \Illuminate\Support\Collection  $models
     * @return mixed
     */
    public function handle(ActionFields $fields, Collection $models)
    {
        $start = $fields->from;
        $end = $fields->to;
        foreach($models as $model){
            for ($i = $start; $i <= $end; $i++) {  
                if(count(Ticket::where('label',$i)->where('place_uuid',$model->id)->get())!=0)
                    continue;
                $more = new Ticket([
                    "label" => ''.$i,
                    "vip" => 0,
                    "status" => 0,
                    "place_uuid" => $model->id,
                ]);
                $more->save();
            }
        
        }
    }

    /**
     * Get the fields available on the action.
     *
     * @param  \Laravel\Nova\Http\Requests\NovaRequest  $request
     * @return array
     */
    public function fields(NovaRequest $request)
    {
        return [
            Number::make('from'),
            Number::make('to')
        ];
    }
}
