<?php

namespace App\Nova\Dashboards;

use Laravel\Nova\Cards\Help;
use Laravel\Nova\Dashboards\Main as Dashboard;
use App\Models\User;
use App\Models\Assignments;
use DigitalCreative\NovaDashboard\Card\NovaDashboard;
use DigitalCreative\NovaDashboard\Card\View;
use App\nova\Widgets\IncomeTableWidget;
use App\nova\Widgets\CarTrendWidget;
use App\Nova\Filters\FromDateFilter;
use App\Nova\Filters\ToDateFilter;
use Coroowicaksono\ChartJsIntegration\BarChart;
use Coroowicaksono\ChartJsIntegration\LineChart;
use Illuminate\Support\Facades\DB;


class Main extends Dashboard
{
    /**
     * Get the cards for the dashboard.
     *
     * @return array
     */
    public function cards()
    {
        
        
        return [
            new \App\Nova\Metrics\NewUsers,
            new \App\Nova\Metrics\UsersPerDay,
            new \App\Nova\Metrics\CarsPerDay,
            NovaDashboard::make()
                ->addView('Parking', function (View $view) {
                    return $view
                        ->icon('window')
                        ->addWidgets([
                            CarTrendWidget::make(),
                            ])
                        ->addFilters([
                            FromDateFilter::make(),
                            ToDateFilter::make(),
                        ]);
                        }),
            NovaDashboard::make()
                ->addView('Income', function (View $view) {
                    return $view
                        ->icon('window')
                        ->addWidgets([
                            IncomeTableWidget::make(),
                            ])
                        ->addFilters([
                            FromDateFilter::make(),
                            ToDateFilter::make(),
                        ]);
                        }),
        ];
    }
}
