<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Enums\RoleType;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('roles', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->foreignUuid('user_uuid');
            $table->foreign('user_uuid')->references('id')->on('users');
            $table->foreignUuid('place_uuid');
            $table->foreign('place_uuid')->references('id')->on('places');
            $table->json('permissions')->cast('AsEnumArrayObject');//enum('type', RoleType::getValues());
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('roles');
    }
};
