<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('assignments', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->string('firstname')->nullable();
            $table->string('lastname')->nullable();
            $table->string('country_code')->nullable();
            $table->string('phone')->nullable();
            $table->boolean('is_guest')->default(0);
            $table->string('room')->nullable();
            $table->boolean('carwash')->default(0);
            $table->string('car_plate')->nullable();
            $table->string('car_color')->nullable();
            $table->string('status')->default('parking');
            $table->double('charge')->default(0);
            $table->date('checkout_date')->nullable();
            $table->foreignUuid("ticket_uuid");
            $table->foreign('ticket_uuid')->references('id')->on('tickets');
            $table->foreignUuid("user_uuid");
            $table->foreign('user_uuid')->references('id')->on('users'); 
            $table->foreignUuid('assigned_to')->nullable();
            $table->foreign('assigned_to')->references('id')->on('users');
            $table->timestamp('assigned_at')->nullable();
            $table->timestamp('requested_at')->nullable();
            $table->boolean('paid')->default(0);
            $table->double('discount')->default(0);
            $table->double('extra_service')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('assignments');
    }
};
