<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('place_ads', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->foreignUuid('place_uuid');
            $table->foreign('place_uuid')->references('id')->on('places');
            $table->foreignUuid('ad_uuid');
            $table->foreign('ad_uuid')->references('id')->on('advertisements');
            $table->boolean('is_active')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('place_ads');
    }
};
